App\Library\Amazon\Classes\PowersportsPart:
    xml_root_name: PowersportsPart
    properties:
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\PowersportsPart\VariationDataAType
        amperage:
            expose: true
            access_type: public_method
            serialized_name: Amperage
            accessor:
                getter: getAmperage
                setter: setAmperage
            type: App\Library\Amazon\Classes\AmperageDimensionType
        modelYear:
            expose: true
            access_type: public_method
            serialized_name: ModelYear
            accessor:
                getter: getModelYear
                setter: setModelYear
            type: integer
        season:
            expose: true
            access_type: public_method
            serialized_name: Season
            accessor:
                getter: getSeason
                setter: setSeason
            type: string
        colorSpecification:
            expose: true
            access_type: public_method
            serialized_name: ColorSpecification
            accessor:
                getter: getColorSpecification
                setter: setColorSpecification
            type: App\Library\Amazon\Classes\PowersportsPart\ColorSpecificationAType
        diameter:
            expose: true
            access_type: public_method
            serialized_name: Diameter
            accessor:
                getter: getDiameter
                setter: setDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        itemPackageQuantity:
            expose: true
            access_type: public_method
            serialized_name: ItemPackageQuantity
            accessor:
                getter: getItemPackageQuantity
                setter: setItemPackageQuantity
            type: integer
        material:
            expose: true
            access_type: public_method
            serialized_name: Material
            accessor:
                getter: getMaterial
                setter: setMaterial
            type: string
        size:
            expose: true
            access_type: public_method
            serialized_name: Size
            accessor:
                getter: getSize
                setter: setSize
            type: string
        sizeMap:
            expose: true
            access_type: public_method
            serialized_name: SizeMap
            accessor:
                getter: getSizeMap
                setter: setSizeMap
            type: string
        voltage:
            expose: true
            access_type: public_method
            serialized_name: Voltage
            accessor:
                getter: getVoltage
                setter: setVoltage
            type: integer
        wattage:
            expose: true
            access_type: public_method
            serialized_name: Wattage
            accessor:
                getter: getWattage
                setter: setWattage
            type: integer
        compatibleWithVehicleType:
            expose: true
            access_type: public_method
            serialized_name: CompatibleWithVehicleType
            accessor:
                getter: getCompatibleWithVehicleType
                setter: setCompatibleWithVehicleType
            xml_list:
                inline: true
                entry_name: CompatibleWithVehicleType
            type: array<string>
        accessLocation:
            expose: true
            access_type: public_method
            serialized_name: AccessLocation
            accessor:
                getter: getAccessLocation
                setter: setAccessLocation
            type: string
        hardwareInterface:
            expose: true
            access_type: public_method
            serialized_name: HardwareInterface
            accessor:
                getter: getHardwareInterface
                setter: setHardwareInterface
            xml_list:
                inline: true
                entry_name: HardwareInterface
            type: array<string>
        coating:
            expose: true
            access_type: public_method
            serialized_name: Coating
            accessor:
                getter: getCoating
                setter: setCoating
            type: string
        fabricType:
            expose: true
            access_type: public_method
            serialized_name: FabricType
            accessor:
                getter: getFabricType
                setter: setFabricType
            xml_list:
                inline: true
                entry_name: FabricType
            type: array<string>
        maximumHeightRecommended:
            expose: true
            access_type: public_method
            serialized_name: MaximumHeightRecommended
            accessor:
                getter: getMaximumHeightRecommended
                setter: setMaximumHeightRecommended
            type: App\Library\Amazon\Classes\LengthDimensionType
        minimumHeightRecommended:
            expose: true
            access_type: public_method
            serialized_name: MinimumHeightRecommended
            accessor:
                getter: getMinimumHeightRecommended
                setter: setMinimumHeightRecommended
            type: App\Library\Amazon\Classes\LengthDimensionType
        loadCapacity:
            expose: true
            access_type: public_method
            serialized_name: LoadCapacity
            accessor:
                getter: getLoadCapacity
                setter: setLoadCapacity
            type: App\Library\Amazon\Classes\WeightDimensionType
        numberOfGrooves:
            expose: true
            access_type: public_method
            serialized_name: NumberOfGrooves
            accessor:
                getter: getNumberOfGrooves
                setter: setNumberOfGrooves
            type: integer
        manufacturerWarrantyDescription:
            expose: true
            access_type: public_method
            serialized_name: ManufacturerWarrantyDescription
            accessor:
                getter: getManufacturerWarrantyDescription
                setter: setManufacturerWarrantyDescription
            type: string
        position:
            expose: true
            access_type: public_method
            serialized_name: Position
            accessor:
                getter: getPosition
                setter: setPosition
            type: string
        orientation:
            expose: true
            access_type: public_method
            serialized_name: Orientation
            accessor:
                getter: getOrientation
                setter: setOrientation
            type: string
        profile:
            expose: true
            access_type: public_method
            serialized_name: Profile
            accessor:
                getter: getProfile
                setter: setProfile
            type: string
        pulleyType:
            expose: true
            access_type: public_method
            serialized_name: PulleyType
            accessor:
                getter: getPulleyType
                setter: setPulleyType
            type: string
        partInterchangeData:
            expose: true
            access_type: public_method
            serialized_name: PartInterchangeData
            accessor:
                getter: getPartInterchangeData
                setter: setPartInterchangeData
            type: App\Library\Amazon\Classes\PowersportsPart\PartInterchangeDataAType
        legalComplianceCertificationRegulatoryOrganizationName:
            expose: true
            access_type: public_method
            serialized_name: LegalComplianceCertificationRegulatoryOrganizationName
            accessor:
                getter: getLegalComplianceCertificationRegulatoryOrganizationName
                setter: setLegalComplianceCertificationRegulatoryOrganizationName
            type: string
        legalComplianceCertificationCertifyingAuthorityName:
            expose: true
            access_type: public_method
            serialized_name: LegalComplianceCertificationCertifyingAuthorityName
            accessor:
                getter: getLegalComplianceCertificationCertifyingAuthorityName
                setter: setLegalComplianceCertificationCertifyingAuthorityName
            type: string
        legalComplianceCertificationGeographicJurisdiction:
            expose: true
            access_type: public_method
            serialized_name: LegalComplianceCertificationGeographicJurisdiction
            accessor:
                getter: getLegalComplianceCertificationGeographicJurisdiction
                setter: setLegalComplianceCertificationGeographicJurisdiction
            type: string
        legalComplianceCertificationStatus:
            expose: true
            access_type: public_method
            serialized_name: LegalComplianceCertificationStatus
            accessor:
                getter: getLegalComplianceCertificationStatus
                setter: setLegalComplianceCertificationStatus
            type: string
        legalComplianceCertificationMetadata:
            expose: true
            access_type: public_method
            serialized_name: LegalComplianceCertificationMetadata
            accessor:
                getter: getLegalComplianceCertificationMetadata
                setter: setLegalComplianceCertificationMetadata
            type: string
        legalComplianceCertificationExpirationDate:
            expose: true
            access_type: public_method
            serialized_name: LegalComplianceCertificationExpirationDate
            accessor:
                getter: getLegalComplianceCertificationExpirationDate
                setter: setLegalComplianceCertificationExpirationDate
            type: string
        legalComplianceCertificationDateOfIssue:
            expose: true
            access_type: public_method
            serialized_name: LegalComplianceCertificationDateOfIssue
            accessor:
                getter: getLegalComplianceCertificationDateOfIssue
                setter: setLegalComplianceCertificationDateOfIssue
            type: string
        legalComplianceCertificationValue:
            expose: true
            access_type: public_method
            serialized_name: LegalComplianceCertificationValue
            accessor:
                getter: getLegalComplianceCertificationValue
                setter: setLegalComplianceCertificationValue
            type: string
